classification
Title: codecs: Link to readline module (history) instead of fd.readline()
Type: Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: docs@python, guettli, python-dev, senko, serhiy.storchaka
Priority: normal Keywords: easy, patch

Created on 2013-07-01 07:19 by guettli, last changed 2013-07-14 12:35 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
codecs-readline-docstring-fix.diff senko, 2013-07-06 08:00 review
Messages (4)
msg192111 - (view) Author: Thomas Guettler (guettli) Date: 2013-07-01 07:19
The documentation of codecs.readline() has a link to the readline module.

That the same word with a total different meaning!

http://docs.python.org/2/library/codecs.html?highlight=readline#codecs.StreamReader.readline

The GNU readline module is about the history like bash or interactive python.
msg192384 - (view) Author: Senko Rasic (senko) * Date: 2013-07-06 08:00
Here's a patch just removing the reference.

Although potentially referencing io.IOBase.readline instead would be more correct, IMHO it'd be just more confusing to users reading the docs.
msg192875 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-07-11 15:33
New changeset 7e186bb1642c by Serhiy Storchaka in branch '2.7':
Issue #18336. Fix a link to StreamReader's read() method.
http://hg.python.org/cpython/rev/7e186bb1642c

New changeset 8dd67c20cab7 by Serhiy Storchaka in branch '3.3':
Issue #18336. Fix a link to StreamReader's read() method.
http://hg.python.org/cpython/rev/8dd67c20cab7

New changeset a53ac166fa58 by Serhiy Storchaka in branch 'default':
Issue #18336. Fix a link to StreamReader's read() method.
http://hg.python.org/cpython/rev/a53ac166fa58
msg192876 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-07-11 15:34
Actually it should be a link to the read() method.
History
Date User Action Args
2013-07-14 12:35:59serhiy.storchakasetstatus: open -> closed
2013-07-11 15:34:56serhiy.storchakasetresolution: fixed
messages: + msg192876
stage: needs patch -> resolved
2013-07-11 15:33:26python-devsetnosy: + python-dev
messages: + msg192875
2013-07-06 08:00:09senkosetfiles: + codecs-readline-docstring-fix.diff

nosy: + senko
messages: + msg192384

keywords: + patch
2013-07-01 09:12:54serhiy.storchakasetversions: + Python 3.3, Python 3.4
nosy: + serhiy.storchaka

assignee: docs@python -> serhiy.storchaka
keywords: + easy
stage: needs patch
2013-07-01 07:19:51guettlicreate